वर्डप्रेस पर ऑटोपेडेट्स का असफल होना? एफ़टीपी फ़ेलिंग?

वर्डप्रेसहाल ही में, हमारे पास एक क्लाइंट था जो वर्डप्रेस के उपयोग के लिए अपने स्वयं के सर्वर को कॉन्फ़िगर करता था। जब हाल है 3.04 सुरक्षा अद्यतन के माध्यम से आया था, हमारे सभी ग्राहकों को इस संस्करण को स्थापित करने की तात्कालिकता की कुछ समझ थी। हालांकि, इस विशेष ग्राहक को हमेशा यह आवश्यक होता है कि हम वर्डप्रेस को मैन्युअल रूप से अपग्रेड करें ... दिल के बेहोश होने की प्रक्रिया नहीं!

हम विशिष्ट नहीं मिलेगाफाइलें नहीं लिख सकते“इस ब्लॉग पर त्रुटि। इसके बजाय हमें एफ़टीपी लॉगिन के साथ एक स्क्रीन प्रदान की गई थी। समस्या यह थी कि हम एफटीपी क्रेडेंशियल्स में भरेंगे और यह होगा अभी भी असफल... इस बार अच्छी साख पर आधारित!

मैं अपने दोस्तों के साथ लाइफलाइन डेटा सेंटर, इंडियाना के संपर्क में आया सबसे बड़ा डेटा सेंटर, क्योंकि उनके पास कुछ अपाचे गीक्स हैं और उन्होंने अपने स्वयं के सर्वर कॉन्फ़िगर किए हैं। उन्होंने मुझे एक सरल समाधान प्रदान किया - सीधे एफ़टीपी क्रेडेंशियल्स को जोड़ना wp-config.php एफ़टीपी क्रेडेंशियल हार्डकोड करने के लिए फ़ाइल:

परिभाषित ('FTP_HOST', 'लोकलहोस्ट'); परिभाषित ('FTP_USER', 'उपयोगकर्ता नाम'); परिभाषित ('FTP_PASS', 'पासवर्ड');

किसी कारण से, समान क्रेडेंशियल्स जो फॉर्म में काम नहीं करते थे, कॉन्फ़िगरेशन फ़ाइल में डालने पर पूरी तरह से काम करते थे! साथ ही, यह वर्डप्रेस अधिनियम को ठीक उसी तरह बनाता है जैसे कि यह एफ़टीपी की आवश्यकता के बिना…। बस अद्यतन क्लिक करें और जाओ!

4 टिप्पणियाँ

  1. 1

    मैंने अपने सर्वर के पुनर्निर्माण और एक नए वर्डप्रेस इंस्टॉलेशन को कताई करने के बाद वर्डप्रेस ऑटो-अपडेट त्रुटियों का अनुभव किया। मेरी समस्या फ़ायरफ़ॉक्स से उत्पन्न हुई, न कि वर्डप्रेस - दूसरों को एक ही मुद्दे का अनुभव हो सकता है यदि उनके एफ़टीपी उपयोगकर्ता नाम और वर्डप्रेस यूज़रनेम एक ही हैं जैसे कि मेरा था (हालांकि विभिन्न पूंजीकरण और पासवर्ड के साथ)।

    समस्या यह है कि फ़ायरफ़ॉक्स, यदि आपके पास "पासवर्ड याद रखें" सक्षम है, तो उपयोगकर्ता को उस रूप में ऑटो-करेक्ट कर देगा, जो वह सोचता है कि यह पासवर्ड मैनेजर में संग्रहीत है पर आधारित होना चाहिए। मेरे मामले में, मेरे वर्डप्रेस क्रेडेंशियल्स को बचा लिया गया था, लेकिन मेरे एफ़टीपी क्रेडेंशियल नहीं थे, क्योंकि उन्हें एसएसएच में साइट पर इस्तेमाल किया जा सकता है। इस स्थिति में लोग या तो अस्थायी रूप से "याद रखें पासवर्ड" को अपनी पसंद / विकल्प में अक्षम कर सकते हैं, जब वर्डप्रेस ऑटो-अपडेट का उपयोग करने का प्रयास करते हैं या इस व्यवहार को ठीक करने के लिए वर्डप्रेस पर कोड का एक टुकड़ा लागू करते हैं।

  2. 2

    डौग,

    अपाचे के एक घर के निर्माण के साथ मुझे भी यही समस्या थी। यह कुछ फाइलों और निर्देशिकाओं पर अनुचित अनुमतियों और स्वामित्व का परिणाम था।

    http://robspencer.net/auto-update-wordpress-without-ftp/

    ऊपर दिए गए लिंक ने एफटीपी क्रेडेंशियल्स का उपयोग किए बिना समस्या को सही करने के तरीके के बारे में जानकारी प्रदान की। बेशक, मैं यह अनुशंसा नहीं करता कि आप अपनी पूरी उपयोगकर्ता निर्देशिका को 775 (और मैंने नहीं) किया था, लेकिन इससे मुझे सही दिशा मिली।

    आदम

  3. 3

    अन्य संभावित समाधानों की खोज करने वाले लोगों के लिए: एक अन्य ब्लॉगर ने अपने ऑटो अद्यतन समस्याओं को हल किया है ताकि वह अपने मेजबान को अपने .httaccess फ़ाइल में निम्नलिखित जोड़कर php5 का उपयोग करने के लिए मजबूर कर सके:

    AddType x-map-php5 .php

  4. 4

    ज्ञान साझा करने के लिए धन्यवाद, मैंने ऑटोप्पडेट्स के साथ समस्याओं का अनुभव किया है, लेकिन एकमात्र समाधान जो मैंने पाया है वह है प्लगइन्स को फिर से निष्क्रिय करना वर्डप्रेस और अंत में सभी प्लगइन्स को फिर से सक्रिय करना।

    यह टिप एक अलग समस्या के लिए है, लेकिन यह जानना अच्छा है कि इसे कैसे हल किया जाए।

    मैक्सिको से शुभकामना!

तुम्हें क्या लगता है?

यह साइट स्पैम को कम करने के लिए अकिस्मेट का उपयोग करती है। जानें कि आपका डेटा कैसे संसाधित किया जाता है.